import _ from 'lodash';
import { BaseObserver } from '@journeyapps/powersync-sdk-common';
export var SharedSyncMessageType;
(function (SharedSyncMessageType) {
    SharedSyncMessageType["UPDATE"] = "sync-status-update";
})(SharedSyncMessageType || (SharedSyncMessageType = {}));
export class SharedSyncImplementation extends BaseObserver {
    constructor() {
        super();
        this.status = {
            connected: false
        };
    }
    /**
     * Provides a method to get the current state
     * This is needed for a new tab to initialize it's local state
     * before relying on the next broadcast update.
     */
    getState() {
        return this.status;
    }
    updateState(status) {
        this.status = _.merge(this.status, status);
        this.iterateListeners((cb) => { var _a; return (_a = cb.statusChanged) === null || _a === void 0 ? void 0 : _a.call(cb, status); });
    }
}
//# sourceMappingURL=SharedSyncImplementation.js.map