import * as Comlink from 'comlink';
import { SharedSyncImplementation, SharedSyncMessageType } from './SharedSyncImplementation';
const _self = self;
const sharedSyncImplementation = new SharedSyncImplementation();
_self.onconnect = function (event) {
    const port = event.ports[0];
    Comlink.expose(sharedSyncImplementation, port);
    sharedSyncImplementation.registerListener({
        statusChanged: (status) => {
            port.postMessage({
                type: SharedSyncMessageType.UPDATE,
                payload: status
            });
        }
    });
};
//# sourceMappingURL=SharedSyncImplementation.worker.js.map